BCD(6)

NAME
bcd, ppt, morse - reformat input as punch cards, paper tape or morse code

SYNOPSIS
bcd [string ...]
ppt [string ...]
morse [-p] [-d device] [-e] [-w speed] [-f frequency] [-s] [string ...]

DESCRIPTION
The commands bcd, ppt and morse read the given input and reformat it in the form of punched cards, paper tape or morse code respectively. Acceptable input are command line arguments or the standard input.

Available options for program morse:

-s  The -s option produces dots and dashes rather than words.

-p  Send morse the real way. This only works if your system has speaker(4) support.

-w speed
    Set the sending speed in words per minute. If not specified the default speed of 20 WPM is used.

-f frequency
    Set the sidetone frequency to something other than the default 600 Hz.

-d device
    Similar to -p, but use the RTS line of device (which must by a tty device) in order to emit the morse code.

-e  echo each character before it is sent, used together with either -p or -d.

The -w and -f flags only work in conjunction with either the -p or the -d flag.

Not all prosigns have corresponding characters. Use ‘#’ for AS, ‘@’ for SK, ‘*’ for VE and ‘%’ for BK. The more common prosigns are ‘=’ for BT, ‘(’ for KN and ‘+’ for AR.

Using flag -d device it is possible to key an external device, like a sidetone generator with a headset for training purposes, or even your ham radio transceiver. For the latter, simply connect an NPN transistor to the serial port device, emitter connected to ground, base connected through a resistor (few kiloohms) to RTS, collector to the key line of your transceiver (assuming the transceiver has a positive key supply voltage and is keyed by grounding the key input line). A capacitor (some nanofarads) between base and ground is advisable to keep stray RF away, and to supress the minor glitch that is generated during program startup.

FILES
/dev/speaker
    speaker device file

ENVIRONMENT

For morse only:

LC_CTYPE

LC_ALL

LANG
    If one of these variables (in this priority) is set to a locale ending in ‘KOI8-R’, characters with the high-order bit set are being interpreted as Cyrillic characters. In all other cases, they are being interpreted as belonging to the ‘ISO_8859-1’ character set.

SEE ALSO
speaker(4)

HISTORY
Sound support for morse added by Lyndon Nerenberg (VE7TCP/VE6BBM) <lyndon@orthanc.com>.

Ability to key an external device added by Joerg Wunsch (DL8DTL).

BUGS
Does only understand a few European characters (namely German and French), but neither Asian ones, or the continental landline code.

Sends a bit slower than it should due to system overhead. Some people would call this a feature.